# Function applyPreAttackAbAttrs

- applyPreAttackAbAttrs(attrType, pokemon, defender, move, ...args): Promise<void>

- #### Parameters

  - attrType: (new (...args) => PreAttackAbAttr )
    - - new (...args): PreAttackAbAttr

      - #### Parameters

        - `Rest` ...args: any[]

        #### Returns PreAttackAbAttr

  - pokemon: default
  - defender: default
  - move: default
  - `Rest` ...args: any[]

  #### Returns Promise<void>

  - Defined in src/data/ability.ts:3572